%global gem_name rexml

Name:           rubygem-%{gem_name}
Version:        3.2.5
Release:        1%{?dist}
Summary:        An XML toolkit for Ruby

License:        BSD-2-Clause
URL:            https://github.com/ruby/rexml
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem
# git clone https://github.com/ruby/rexml.git && cd rexml
# git checkout v3.2.5
# tar -czf rubygem-rexml-3.2.5-tests.tgz test/
Source1:        %{name}-%{version}-tests.tgz

BuildRequires:  ruby(release)
BuildRequires:  rubygems-devel
BuildRequires:  ruby
BuildRequires:  rubygem(test-unit)
BuildArch: noarch

%description
An XML toolkit for Ruby.


%package doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Documentation for %{name}.


%prep
%setup -q -n %{gem_name}-%{version} -b1


%build
gem build ../%{gem_name}-%{version}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/


%check
pushd .%{gem_instdir}
ln -s %{_builddir}/test .
ruby -Ilib -r./test/helper -e 'Dir.glob "./test/**/test_*.rb", &method(:require)'
popd


%files
%license %{gem_instdir}/LICENSE.txt
%dir %{gem_instdir}/
%{gem_instdir}/NEWS.md
%{gem_libdir}/
%{gem_spec}
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}/
%doc %{gem_instdir}/doc/
%doc %{gem_instdir}/README.md


%changelog
* Sun Oct 30 2022 František Dvořák <valtri@civ.zcu.cz> - 3.2.5-1
- Initial package
